local tilesetImage
local placedx = 10
local placedy = 10
local camerax = 0
local cameray = 0
local brush = 0
local maxtiles = 1

function love.load()
	love.filesystem.setIdentity("4762games")
	setupTileset()
	mapWidth = 60
	mapHeight = 40
 
	map = {}
  for x=0,mapWidth do
    map[x] = {}
    for y=0,mapHeight do
      map[x][y] = {}
    end
  end
end

function setupTileset()
    tilesetImage = love.graphics.newImage( "tileset.png" )
  tilesetImage:setFilter("nearest", "linear") -- this "linear filter" removes some artifacts if we were to scale the tiles
  tileSize = 16
     tile = {}
	tile[0] = love.graphics.newQuad(0 * tileSize, 0 * tileSize, tileSize, tileSize,
    tilesetImage:getWidth(), tilesetImage:getHeight())
		tile[1] = love.graphics.newQuad(1 * tileSize, 0 * tileSize, tileSize, tileSize,
    tilesetImage:getWidth(), tilesetImage:getHeight())
end

function love.draw()
    local mousex, mousey = love.mouse.getPosition()
	love.graphics.print("Camera Location (x,y):"..camerax..", "..cameray, 10, 10)
	love.graphics.print("Tile: "..brush, 10, 20)
	tilex = math.modf(mousex/16)
	tiley = math.modf(mousey/16)

  for x=0,mapWidth do
    for y=0,mapHeight do
		for b=0,maxtiles do
			if map[x][y] == b then
				love.graphics.drawq(tilesetImage, tile[b], x*16, y*16)
			end	
		end
    end
  end
	love.graphics.drawq(tilesetImage, tile[brush], tilex*16, tiley*16)	
end

function love.update()
	if love.keyboard.isDown( "q" ) then
      love.event.push('q')
   end
end

function love.keypressed(key)
	if key == "b" then
		if brush == 1 then
			brush = 0
		elseif brush == 0 then
			brush = 1
		end
   end
   if key == "s" then
	success = love.filesystem.write( "platformer", highscore , 100 ) 
   end
end

function love.mousepressed(x, y, button)
   if button == "l" then
      placedx = math.modf(x/16)
      placedy = math.modf(y/16)
	  if placedx <= mapWidth and placedy <= mapHeight then
	  map[placedx][placedy] = brush
	  end
   end
end